Subject: Re: bug#39164: 27.0.60; Intermittent crash on MacOS 10.14 in setup_process_coding_systems

From: [email-masked]
Date: Mon, 27 Jan 2020 22:26:10 +0900

>>>>>> On Mon, 20 Jan 2020 20:00:49 +0200, Eli Zaretskii <[email-masked]>
>>>>>> said:
>
>     Eli> Does this mean proc_encode_coding_system is NULL (or garbled), or
> the
>     Eli> value of outch is outlandish (or garbled)?  Showing the values of
>     Eli> these variables will be appreciated.
>
> I?d show you if I could, but I don?t see the crash.
>
> Robert

This is a variant of Bug#24325: Crash - fd larger than FD_SETSIZE.
Some functions in the Core Foundation framework on macOS
call setrlimit for RLIMIT_NOFILE in order to increase the limit of
the maximum number of open files for the process:

  https://opensource.apple.com/source/CF/CF-1153.18/CFSocket.c.auto.html

So the fix for Bug#24325 doesn't work in this case.

				     YAMAMOTO Mitsuharu
				[email-masked]